GET /Status

( Get your Connection Status )

Request parameters:
Status API Use Api To Check Status http://whatsapi.co.uk/api/getStatus/$instance_name/$token
Server response example:

    {
        "result": "CONNECTED",
    }
                
                
Check Number Status

( Get Either Your Number is on Whatsapp or Not)

Request parameters:
Check Number Status API Use Api To Check Number Status http://whatsapi.co.uk/api/checkNumberStatus/$instance/$number/$token
Server response example:

    {
        "result": {
        "status": 200,
        "isBusiness": false,
        "canReceiveMessage": true,
        "numberExists": true,
        } 
    }
                
                
POST /sendMessage

Send a message to a new or existing chat.

Request parameters:
Send Message Api Use Api To Send Message http://whatsapi.co.uk/api/sendMessage
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Number Required This is the number on which you want to send message
Text Required Write the message you want to send on number
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "number": "441234*****",
    "text": "Hello, world!"
}
Server Response example:
{
    "status": ok,
    "text": "Hello world"
    "Message Id": "true_441234*****@c.us_KZISL06L3CVHPKIQIX31"
}
POST / Image

Send an Image to a new or existing chat.

Request parameters:
Send Image Api Use Api To Send Image http://whatsapi.co.uk/api/send_image
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Number Required This is the number on which you want to send message
imagePath Required https://upload.wikimedia.org/wikipedia/ru/3/33/NatureCover2001.jpg
fileName Required myimg.jpg
caption Required my img
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "number": "441234*****",
    "imagePath": " https://upload.wikimedia.org/wikipedia/ru/3/33/NatureCover2001.jpg"
    "fileName": "myimg.jpg"
    "caption": "my image"
}
Server Response example:
{
   "Id": "3EB0898320EB2D6A71A4",
    "msgId": "true_441234*****@c.us_3EB0898320EB2D6A71A4",
    "text": "my image"
    "status": "ok"
    "type": "FileFromBase64"
    "filename": "myimg.jpeg"
    "caption": "my image"
}
Load Messages In Chat

Load All Message

Request parameters:
Load Message In Chat Use Api To Load All Message http://whatsapi.co.uk/api/loadMessagesInChat
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Number Required Number is required
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "number": "441234*****",

}
Server Response example:
{
   "Id": "3EB0898320EB2D6A71A4",
    "fromMe": "true",
    "self": "in"
    "isForwarded": "false"
    "author": "null"
    "time": "1617020425"
    "chatId": "441234*****@c.us"
    "type": "null"
    "quotedMsgBody": "null"
    "quotedMsgId": "null"
    "quotedMsgType": "null"
}
GET /Host Info

Get All Host Info.

Request parameters:
Get Host Info Api Use Api For Host Info http://whatsapi.co.uk/api/getHostInfo/$instance_name/$token
Server Response example:
{
   "Id": "1",
    "hostId": "true_441234*****@c.us_3EB0898320EB2D6A71A4",
    "connected": "true"
    "battery": "41"
    "isPlugged": "false"
    "lg": "en"
    "wa_version": "2.21.6.17"
    "os_version": "10"
    "device_manufacturer": "samsung"
    "device_model": "a31"
    "host_name": "Whatsapi"
}
Create Group

Create Group Api

Request parameters:
Create Group Api Use Api To create Group http://whatsapi.co.uk/api/createGroup
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Group Name Required Name of Group
Numbers Required Number by which you want to create group
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "groupName": "ABC Group",
    "numbers": [
                 "441234*****@c.us",
                 "441235*****@c.us"
                ]
                            
}
Server Response example:

{
    "status": 200,
    "gid": {
        "server": "g.us",
        "user": "441236*****-1617711317",
        "_serialized": "441236*****-1617711317@g.us"
    },
    "participants": [
        {
            "441234*****@c.us": {
                "code": "200"
            }
        },
        {
            "441235*****@c.us": {
                "code": "200"
            }
        }
    ]
}
                    
POST/Group Info

Group Info Api

Request parameters:
Group Info Api Use Api To Get Group Info http://whatsapi.co.uk/api/GroupInfoFromInviteLink
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Group Invite Link Required Invite Link of Group
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "InviteCode": "http://ytuewr344768347",

}
Server Response example:

{
    "numberOfParticipant": 3,
    "groupId": "443023***-1610603197",
    "owner": "443023***",
    "status": 200,
    "groupName": "WhatsApi",
    "participants": [
        {
            "id": "44657***",
            "isAdmin": false
        },
        {
            "id": "44886***",
            "isAdmin": false
        }
    ]
}
                    
Send Group Message

Send Group Message Api.

Request parameters:
Send Group Message Api Use Api To Send Message in Group http://whatsapi.co.uk/api/sendMessageGroup
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Group Id Required This is the id which you get when you create group
text Required this is the text of message you want to send in group
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "groupId": "441234*****-1615921208",
    "text": "Group text"

}
Server Response example:
{
   "Id": "true_441234*****@c.us_3EB0898320EB2D6A71A4",
    "body": "Group Text"
    "type": "Chat"
    "status": "ok"
    "time": "1617788292"
    "receiverName": "testing"
}
Add Participant In Group

Add Participant In Group Api.

Request parameters:
Add Participant In Group APi Use Api To Add Participant In Group http://whatsapi.co.uk/api/addParticipant
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Group Id Required This is the id which you get when you create group
participantId Required That Number ,You Want to Add
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "groupId": "441234*****-1615921208",
    "participantId": "441237*****"

}
Server Response example:
true
Remove Participant From Group

Remove Participant From Group Api.

Request parameters:
Remove Participant From Group APi Use Api To Remove Participant From Group http://whatsapi.co.uk/api/removeParticipent
Token Required And You Can See Your Instance Token on Instance Info Firstly we will Provide You Your Token Which Helps You In Login And After That You Can See It on Instance Info
Instance Required Firstly we will Provide You Your Instance Name
Group Id Required This is the id which you get when you create group
participantId Required That id ,You Want to remove
Request example:
{
    "token": "b8965dcf******",(go on Instance info to get your token if you are login),
    "instance": "Whatsapi",
    "groupId": "441234*****-1615921208",
    "participantId": "441237*****"

}
Server Response example:
true